### VARIABLES ###
 
CC = gcc
CFLAGS = -Wall \
        -ansi \
         -pedantic
         
EXE = exe
OFILES = ex3.o \
         queue.o \
      
### BUT PAR DEFAUT ###
 
but : ${EXE}

### REGLES ESSENTIELLES ###

${EXE} : ${OFILES}
	$(CC) $(CFLAGS) -o ${EXE} ${OFILES}


ex3.o : queue.h 

queue.o : queue.h 

### REGLES OPTIONNELLES ###

run : but
	./${EXE}

clean :
	-rm -f ${OFILES} ${EXE}

mrproper : clean but
 
### BUTS FACTICES ###
 
.PHONY : but clean mrproper
 
### FIN ###